## org.apache.mahout.cf.taste.recommender
Interface MostSimilarItemsCandidateItemsStrategy

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  AbstractCandidateItemsStrategy, AllSimilarItemsCandidateItemsStrategy, AllUnknownItemsCandidateItemsStrategy, PreferredItemsNeighborhoodCandidateItemsStrategy, SamplingCandidateItemsStrategy

    public interface MostSimilarItemsCandidateItemsStrategy

extends Refreshable

Used to retrieve all items that could possibly be similar

Method Summary
`FastIDSet` `getCandidateItems(long[] itemIDs, DataModel dataModel)`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getCandidateItems

    FastIDSet getCandidateItems(long[] itemIDs,
                                DataModel dataModel)
                                throws TasteException

  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.